uniform sampler2D Base;

varying vec3 LightDirection;
varying vec3 Normal;
varying float att;
varying vec2 TexCoord;

void main( void )
{
   
   vec4 fvDiffuse = gl_LightSource[0].diffuse;

   vec3  fvLightDirection = normalize( LightDirection );
   vec3  fvNormal         = normalize( Normal );
   float fNDotL           = dot( fvNormal, fvLightDirection ); 
   
   vec4  fvTotalDiffuse   =  texture2D(Base, TexCoord) * clamp(fNDotL, 0.0, 1.0);
  
   gl_FragColor = fvTotalDiffuse;       //+ fvTotalSpecular
}

